#ifndef CSEQINFILE
#define CSEQINFILE
#include <fstream>
#include <string>
#include "CIterated.hpp"

template <class Item>
class CSeqInFile : public CIterated<Item>
{
  private:
		std::ifstream f;
		Item data;
		std::string fileName;
		
  public:
				 
    CSeqInFile(const std::string& s) : fileName(s)	{ open(); }
    ~CSeqInFile()																		{ close(); }
    
    void open()							{ f.open(fileName.c_str()); }
    void read()							{ f >> data; }
    bool end() const				{ return f.eof(); }
    Item current() const		{ return data; }
    void close()						{ f.close(); }
};

#endif
